
QGIS Application - Bug report #3913

QgsProjectionSelector::getCurrentLongAttribute has incomplete return path

2006-03-24 01:25 PM - Mateusz Loskot -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 13937

Description

In member function QgsProjectionSelector::getCurrentLongAttribute, file

qgis/src/widgets/projectionselector/qgsprojectionselector.cpp(414),

not all control paths return a value

Possible problem is that return value of long type may be uninitialized - invalid.

History

#1 - 2006-03-24 01:29 PM - Gary Sherman

- Resolution set to duplicate

- Status changed from Open to Closed

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
